Bug 156720

Summary: Enable separated heap by default on iOS
Product: WebKit Reporter: Oliver Hunt <oliver>
Component: New BugsAssignee: Oliver Hunt <oliver>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, barraclough, commit-queue, darin, keith_miller, krollin, mark.lam, msaboff, saam
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 156842    
Attachments:
Description Flags
Patch ggaren: review+

Description Oliver Hunt 2016-04-18 16:18:43 PDT
Enable separated heap by default on ios
Comment 1 Oliver Hunt 2016-04-18 16:23:36 PDT
Created attachment 276678 [details]
Patch
Comment 2 Geoffrey Garen 2016-04-19 10:39:22 PDT
Comment on attachment 276678 [details]
Patch

r=me
Comment 3 Oliver Hunt 2016-04-19 11:33:56 PDT
Committed r199734: <http://trac.webkit.org/changeset/199734>
Comment 4 Andy Estes 2016-04-21 03:07:43 PDT
This change causes Safari in iOS Simulator to crash loading just about anything that uses JavaScript. I filed https://bugs.webkit.org/show_bug.cgi?id=156842.
Comment 5 Gavin Barraclough 2016-04-26 10:30:44 PDT
This causes a memory regression, and was rolled out in r200095.
Comment 6 Oliver Hunt 2016-04-26 10:46:26 PDT
Committed r200097

Please talk to me if before trying to roll this out again.
Comment 7 Keith Rollin 2016-05-02 12:27:26 PDT
Taking care of some paperwork:

* The change was rolled out again in http://trac.webkit.org/changeset/200134
* The underlying issue was resolved in Radar 25945386
* Once that change has landed, we can roll this change back in again.
Comment 8 Oliver Hunt 2016-05-05 16:58:35 PDT
Committed r200496: <http://trac.webkit.org/changeset/200496>